Description

I,ve used the "split lines with lines"algorithm in QGis Desktop 2.14.12 with GRASS 7.2.0. and in QGIS Desktop 2.18.3 with GRASS 7.2.0.

BUt there are difference in in number of the created attributobjects

With Qgis 2.14.12 I get more objects tha with  Qgis 2.18.3.

What could be the problem?

Why there difference between both versions?

History

#1 - 2017-07-13 12:53 PM - Giovanni Manghi

- Operating System changed from windows 7 for QGIS 2.14.12 andwindows 10 for QGIS 2.18.3 to windows 7 for QGIS 2.14.12 and windows 10 for 

QGIS 2.18.3

- Subject changed from Split-Algorithm in QGIS 2.14.12 vs QGIS 2.18.3 to "split lines with lines" algorithm, different results in QGIS 2.14.12 vs QGIS 

2.18.3

- Category changed from Documentation and Help to Processing/QGIS

- Status changed from Open to Feedback

- Assignee changed from Yves Jacolin to Victor Olaya

Hi,

a few things:

*) the tools is a native QGIS one, not a GRASS one

*) you don't add any sample data (can you?) or say what is the expected/correct result, the one you see in 2.14 or 2.18?

*) can you please update to the latest 2.18 available, 2.18.10 and try again? Also check that you are not using an old Processing version, check inside

.qgis2/pyhton/plugins for a folder called "processing", if there is one then delete it and restart QGIS.

#2 - 2017-07-13 01:27 PM - e k

Hi,

no, i have not any sample data, so I don't know which are the correct result.

The problem is:

I,ve modelled a process with the graphical modeller of QGis Desktop 2.14.12 with GRASS 7.2.0. For controlling if this modeller run to another Version, I,ve
used my modell with QGIS Desktop 2.18.3 with GRASS 7.2.0.

After comparing the single algorithm steps, I could determine, that the problem is the "Split lines with lines"-algorithm. On this step I get a number of

datasets of 179053 with the version 2.14.14 and 178848 with the version 2.18.3

Now I don't know wich number of datasets are the correct one and why there are difference.

Could it be that the algorithm is changed in Version 2.18, except that it runs faster?

I've used for both versions different operating systems (Windows 7 for Qgis 2.14.12 and  Windows 10 for Qgis 2.18.3)

#3 - 2017-07-13 01:37 PM - Giovanni Manghi

e k wrote:

Hi,

no, i have not any sample data, so I don't know which are the correct result.

ummm.... yes you have it... the data you are using in this model, specifically the inputs you are using for this operation (split lines with lines), can you attach

them?

#4 - 2017-07-13 02:19 PM - e k

- File Input_for_splitting.PNG added

#5 - 2017-07-13 03:28 PM - e k

I know the number of the datasets before running the modeller.

And I know the number of the datasets at the beginning of the "split lines with lines"-algorithm, but how should I know the correct result of the splitted layer,

when i get difference numbers of datasets after run this algorithm?

My modeller runs with both versions, but even the number of the the datasets (the result) is differently.

Therefor I think that the splitting algorithm is not the same in both versions.

Could it be?

#6 - 2017-07-13 05:24 PM - Giovanni Manghi

e k wrote:

I know the number of the datasets before running the modeller.

And I know the number of the datasets at the beginning of the "split lines with lines"-algorithm, but how should I know the correct result of the splitted

layer, when i get difference numbers of datasets after run this algorithm?

My modeller runs with both versions, but even the number of the the datasets (the result) is differently.

Therefor I think that the splitting algorithm is not the same in both versions.

Could it be?
let's try it again:

if you cannot send the inputs of the "split lines with lines" tool, can you send the file of your model and the starting input/s of the model?

#7 - 2017-09-25 04:37 PM - Giovanni Manghi

- Resolution set to not reproducable

- Status changed from Feedback to Closed

Files

Input_for_splitting.PNG 62.9 KB 2017-07-13 e k
